\name{PNAR-package}
\alias{PNAR-package}
\alias{PNAR}
\docType{package}
\title{
Poisson Network Autoregressive Models
}

\description{
Quasi likelihood-based methods for estimating Poisson Network Autoregression with p lags, PNAR, following generalized linear models are provided. PNAR models with the identity and with the logarithmic link function are allowed. The inclusion of exogenous covariates is also possible. Moreover, it provides tools for testing the linearity of linear PNAR model versus several nonlinear alternatives. Finally, it allows generating multivariate count distributions, from linear and nonlinear PNAR models, where the dependence between Poisson random variables is generated by suitable copulas. References include: Armillotta, M. and K. Fokianos (2022a). Poisson network autoregression. \url{https://arxiv.org/abs/2104.06296} and Armillotta, M. and K. Fokianos (2022b). Testing linearity for network autoregressive models. \url{https://arxiv.org/abs/2202.03852}
}

\details{
\tabular{ll}{
Package: \tab PNAR\cr
Type: \tab Package\cr
Version: \tab 1.3\cr
Date: \tab 2022-11-02\cr
License: \tab GPL(>=2)\cr
}
}

\author{
Michail Tsagris, Mirko Armillotta and Konstantinos Fokianos.
}

\references{
Armillotta, M. and K. Fokianos (2022a). Poisson network autoregression.
\url{https://arxiv.org/abs/2104.06296}

Armillotta, M. and K. Fokianos (2022b). Testing linearity for network
autoregressive models. \url{https://arxiv.org/abs/2202.03852}
}

\note{
\bold{Disclaimer:} Dr Mirko Armillotta and Konstantinos Fokianos wrote the
initial functions. Dr Tsagris modified them, created the package and is the
maintainer.
}



